This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 108586 - (B44) bcm4401 card not coming up reliably
(B44) bcm4401 card not coming up reliably
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-30 08:19 EST by Jens Petersen
Modified: 2007-11-30 17:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-13 14:34:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2003-10-30 08:19:45 EST
Description of problem:
DHCP doesn't want to work on my Dell Dimension 2400C
which apparently has a bcm4401 net chip in it.  Static
IP works fine funnily enough.

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2115.nptl
dhclient-3.0pl2-6.16

How reproducible:
Every time.

Steps to Reproduce:
1. Do NFS install of recent FC tree into Dell Dimension
2. Choose DHCP net configuration.
  
Actual results:
Net card continually goes up and down like a yoyo.

Expected results:
Should grab configuration from dhcp server right away as normal.

Additional info:
(DHCP is working fine here on my Dell PowerEdge and IBM Thinkpad.)
Comment 1 Jens Petersen 2003-10-31 01:17:12 EST
It does sometimes work if one is persistent in trying to get it
to come up: eg repeatedly running "ifup eth0".
Comment 2 Jens Petersen 2003-10-31 01:41:53 EST
Actually the DHCP thing is probably a red herring,
it is clear from repeated attempts with the installer
that the interface doesn't come up reliably with static
ip either at all.

On my switch I see the interface going up and down, up and down
repeatedly, until finally when it occasionally works it stays up
for good.
Comment 3 Jeff Garzik 2004-01-12 14:20:12 EST
Does ifdown+ifup or unplug+replug bring up the interface?
Comment 4 Jeff Garzik 2004-01-12 14:20:30 EST
*** Bug 112532 has been marked as a duplicate of this bug. ***
Comment 5 Jens Petersen 2004-01-15 01:44:01 EST
It seem to be working somewhat more consistently now,
though I still see:

# ifdown eth0
# ifup eth0
Determining IP information for eth0...[pause]b44: eth0: transmit timed
out, resetting[pause] done.
#
Comment 6 Jens Petersen 2004-01-30 03:54:42 EST
As possible data point, when I just sftp'd the latest openoffice
rpms from a local machine, I didn't get more than 3.7MB/s
(2GHz celeron box), whereas my old 1GHz PIII router managed
8.3MB/s.  
Comment 10 Warren Togami 2004-04-14 22:19:56 EDT
Note that Bug #118165 is probably causing trouble for this in recent
FC2 development kernels.
Comment 12 David Lawrence 2004-09-29 15:35:14 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/
Comment 13 Jens Petersen 2004-10-06 03:31:27 EDT
DHCP setup is still very slow on this card.
Comment 14 John W. Linville 2004-12-13 14:34:00 EST
b44 is working very reliably for me w/ FC3 kernel...
Comment 15 Jens Petersen 2004-12-14 07:53:54 EST
dhcp configuration is still very slow for me with FC3 and RHEL4
kernels.

Note You need to log in before you can comment on or make changes to this bug.